#include "stdafx.h"

#include "pessoa.h"

CPessoa::CPessoa(CString sNome,  CTime   tData, 
			     CString sBI,    CString sNIF )
{
	m_sNome     = sNome;
	m_tDataNasc = tData;
	m_sBI       = sBI;
	m_sNIF      = sNIF;
}

CPessoa::CPessoa(const CPessoa& aPessoa)
{
	Copia(aPessoa);
}

CPessoa::~CPessoa(void)
{
}

void CPessoa::Copia(const CPessoa& aPessoa)
{
	m_sNome     = aPessoa.m_sNome;
	m_tDataNasc = aPessoa.m_tDataNasc;
	m_sBI       = aPessoa.m_sBI;
	m_sNIF      = aPessoa.m_sNIF;	
}

CPessoa& CPessoa::operator=( const CPessoa& aPessoa )
{
	Copia(aPessoa);

	return *this;
}

void CPessoa::SetNome(CString sNome)
{
	m_sNome = sNome;
}

void CPessoa::SetData(CTime tData)
{
	m_tDataNasc = tData;
}

void CPessoa::SetBI(CString sBI)
{
	m_sBI = sBI;
}

void CPessoa::SetNIF(CString sNIF)
{
	m_sNIF = sNIF;
}

void CPessoa::Listar(void) const
{
	cout << "Nome     :" << m_sNome << endl;
	cout << "Data Nasc:" << m_tDataNasc.Format("%A, %B %d, %Y") << endl;
	cout << "BI       :" << m_sBI << endl;
	cout << "NIF      :" << m_sNIF << endl;
}
