#pragma once


//#include <afx.h>
// Para CString e CTime
// Suporte MFC e Multithread na configuracao de projecto


class CPessoa
{
	CString m_sNome;
	CTime   m_tDataNasc;
	CString m_sBI;
	CString m_sNIF;

public:
	CPessoa(CString sNome = "", 
		    CTime   tData = CTime::GetCurrentTime(), 
			CString sBI   = "",
			CString sNIF  = "" );
	CPessoa(const CPessoa& aPessoa);
	~CPessoa(void);

	void     Copia(const CPessoa& aPessoa);
	CPessoa& operator=( const CPessoa& aPessoa );

	CString& GetNome() { return m_sNome; }
	CTime&   GetTime() { return m_tDataNasc; }
	CString& GetBI()   { return m_sBI; }
	CString& GetNIF()  { return m_sNIF; }

	void SetNome(CString sNome);
	void SetData(CTime   tData); 
	void SetBI(CString   sBI);
	void SetNIF(CString  sNIF);

	void Listar(void) const;
};
